<?php
/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 * @module          comments
 * @author          Karl Pierce
 * @copyright       2004-2015, Karl Pierce
 * @link            http://www.LEPTON-cms.org
 * @license         http://www.gnu.org/licenses/gpl.html
 * @license_terms   please see info.php of this module
 *
 */
require('../../config.php');
require_once(WB_PATH . '/framework/class.wb.php');
require_once(WB_PATH . '/framework/class.admin.php');

//locking the door
if (!isset($_REQUEST['ident']) || !isset($_SESSION['comments_ident']) || $_REQUEST['ident'] != $_SESSION['comments_ident']) {
    // form faked
    die(header("Location: ../../index.php"));
}
// HTTP headers for no cache etc
header('Content-Type: application/json; charset=utf-8');
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

$wb = new wb(true);

// Get entered values
$page_id = filter_input(INPUT_GET, 'page_id', FILTER_SANITIZE_STRING);
$content = filter_input(INPUT_POST, 'content', FILTER_SANITIZE_STRING);
$created = date('Y-m-d',strtotime(filter_input(INPUT_POST, 'created', FILTER_SANITIZE_STRING)));
$modified = date('Y-m-d',strtotime(filter_input(INPUT_POST, 'modified', FILTER_SANITIZE_STRING)));
$created_by_current_user = filter_input(INPUT_POST, 'created_by_current_user', FILTER_SANITIZE_STRING);
$fullname = filter_input(INPUT_POST, 'fullname', FILTER_SANITIZE_STRING);
$id = filter_input(INPUT_POST, 'id', FILTER_SANITIZE_STRING);
$profile_picture_url=filter_input(INPUT_POST, 'profile_picture_url', FILTER_SANITIZE_STRING);
$created_by_admin=filter_input(INPUT_POST, 'created_by_admin', FILTER_SANITIZE_STRING);
$moderation_pending=filter_input(INPUT_POST, 'moderation_pending', FILTER_SANITIZE_STRING);
$user_has_upvoted=filter_input(INPUT_POST, 'user_has_upvoted', FILTER_SANITIZE_STRING);

$parent = filter_input(INPUT_POST, 'parent', FILTER_SANITIZE_STRING);
if($parent == ''){$parent= 'null';}
$upvote_count =0;

$delete_query = "DELETE FROM `lep_mod_comments` WHERE `id` = $id and `page_id` = $page_id;";

$database->query($delete_query);

if ($database->is_error()) {
    $wb->print_error($database->get_error(), 'index.php', false);
}

$return_json = '{ "jsonrpc" : "2.0", 
   "id": '.json_encode($id).',
   "parent": '.$parent.',
   "created": '.json_encode($created).',
   "modified": '.json_encode($modified).',
   "content": '.json_encode($content).',
   "fullname": '.json_encode($fullname).',
   "profile_picture_url": '.json_encode($profile_picture_url).',
   "created_by_admin": '.json_encode($created_by_admin).',
   "created_by_current_user": '.json_encode($created_by_current_user).',
   "moderation_pending": '.json_encode($moderation_pending).',
   "upvote_count": '.json_encode($upvote_count).',
   "user_has_upvoted": '.json_encode($user_has_upvoted).'}';

die($return_json);

