<?php
/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 * @module          comments
 * @author          Karl Pierce
 * @copyright       2004-2015, Karl Pierce
 * @link            http://www.LEPTON-cms.org
 * @license         http://www.gnu.org/licenses/gpl.html
 * @license_terms   please see info.php of this module
 *
 */

require('../../config.php');
require_once(WB_PATH . '/framework/class.wb.php');
require_once(WB_PATH . '/framework/class.admin.php');

//locking the door
if (!isset($_REQUEST['ident']) || !isset($_SESSION['comments_ident']) || $_REQUEST['ident'] != $_SESSION['comments_ident']) {
    // form faked
    die(header("Location: ../../index.php"));
}

// HTTP headers for no cache etc
header('Content-Type: application/json; charset=utf-8');
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

$wb = new wb(true);

// Get entered values
$page_id = filter_input(INPUT_POST, 'page_id', FILTER_SANITIZE_STRING);
$user_id = $_SESSION['USER_ID'];

    $query_get_comments = "SELECT lep_mod_comments.*, lep_users.display_name, lep_users.group_id FROM `lep_mod_comments` left JOIN lep_users ON lep_users.user_id = lep_mod_comments.user_id  WHERE  lep_mod_comments.page_id =  '$page_id' LIMIT 25";
    $get_comments_results = $database->query($query_get_comments);
   $array = array();
    while ($get_comments_result = $get_comments_results->fetchRow()){
        
        if($get_comments_result['user_id']==$_SESSION['USER_ID']){
            $created_by_current_user = true;
        }else{
            $created_by_current_user = false;
        }
        
       if($get_comments_result['group_id']==1){
            $created_by_admin = true;
        }else{
            $created_by_admin = false;
        }
        
        if($get_comments_result['parent']==''){
            $parent = null;
        }else{
            $parent = $get_comments_result['parent'];
        }
        
        $upvote_string=$get_comments_result['upvote_count'];
        $upvote_count= substr_count($upvote_string,',');

         if($wb->is_group_match($get_comments_result['upvote_count'],$user_id)){
            $has_voted=true;
        }else{
            $has_voted=false;
        }
        
         $array[] = array('id' => $get_comments_result['id'],
   'parent' => $parent,
   'created' => $get_comments_result['created'],
   'modified' => $get_comments_result['modified'],
   'content' => $get_comments_result['content'],
   'fullname' => $get_comments_result['display_name'],
   'profile_picture_url' => WB_URL.'/modules/comments/images/no_pic.png',
  'created_by_admin' => $created_by_admin,
   'created_by_current_user' => $created_by_current_user,
   'moderation_pending' => 'false',
   'upvote_count' => $upvote_count,
   'user_has_upvoted' => $has_voted);
            }       
        
die(json_encode($array));


