<?php
/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 * @module          comments
 * @author          Karl Pierce
 * @copyright       2004-2015, Karl Pierce
 * @link            http://www.LEPTON-cms.org
 * @license         http://www.gnu.org/licenses/gpl.html
 * @license_terms   please see info.php of this module
 *
 */

require('../../config.php');
require_once(WB_PATH.'/framework/class.wb.php');
require_once(WB_PATH.'/framework/class.admin.php');
$wb = new wb(true);

require_once (LEPTON_PATH.'/modules/lib_phpmailer/library.php');
// HTTP headers for no cache etc
header('Content-Type: application/json; charset=utf-8');
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");


//if not a user
if(isset($_SESSION['USER_ID']) && ($_SESSION['USER_ID'] !='' or $_SESSION['USER_ID']==null)){
    $user_id = $_SESSION['USER_ID'];
}else//if not a user
{
    die('{"jsonrpc" : "2.0","error":"login"}');
}

//locking the door
if (!isset($_REQUEST['ident']) || !isset($_SESSION['comments_ident']) || $_REQUEST['ident'] != $_SESSION['comments_ident']) {
    // form faked
    die(header("Location: ../../index.php"));
}


// Get entered values
$page_id = filter_input(INPUT_GET, 'page_id', FILTER_SANITIZE_STRING);
$content = filter_input(INPUT_POST, 'content', FILTER_SANITIZE_STRING);
$created = date('Y-m-d',strtotime(filter_input(INPUT_POST, 'created', FILTER_SANITIZE_STRING)));
$modified = date('Y-m-d',strtotime(filter_input(INPUT_POST, 'modified', FILTER_SANITIZE_STRING)));
$created_by_current_user = filter_input(INPUT_POST, 'created_by_current_user', FILTER_SANITIZE_STRING);
$fullname = filter_input(INPUT_POST, 'fullname', FILTER_SANITIZE_STRING);
$id = filter_input(INPUT_POST, 'id', FILTER_SANITIZE_STRING);
$profile_picture_url=filter_input(INPUT_POST, 'profile_picture_url', FILTER_SANITIZE_STRING);
$created_by_admin=filter_input(INPUT_POST, 'created_by_admin', FILTER_SANITIZE_STRING);
$moderation_pending=filter_input(INPUT_POST, 'moderation_pending', FILTER_SANITIZE_STRING);
$user_has_upvoted=filter_input(INPUT_POST, 'user_has_upvoted', FILTER_SANITIZE_STRING);

$parent = filter_input(INPUT_POST, 'parent', FILTER_SANITIZE_STRING);

if($parent != ''){
    $parent_field = '`parent`,';
    $parent_value="'$parent',";
    
}else{
    $parent= 'null';
    $parent_field='';
    $parent_value='';
}
$upvote_count =0;

$insert_query = "INSERT INTO `lep_mod_comments`
(`page_id`,
`user_id`,
".$parent_field."
`created`,
`modified`,
`content`
)
VALUES
('$page_id',
'$user_id',
".$parent_value."
'$created',
'$modified',
'$content'
);";
$database->query($insert_query);
//echo $insert_query;
//exit;
$get_last_id='SELECT LAST_INSERT_ID();';
$insert = $database->query($get_last_id);
$fetch_insert_id = $insert->fetchRow();
//if ($database->is_error()) {
//    $wb->print_error($database->get_error(), 'index.php', false);
//} else {
//    $wb->print_success($MESSAGE['PREFERENCES']['DETAILS_SAVED'], WB_URL . '/page/'.LANGUAGE.'/rate-my-flat.php');
//}

if ($parent !== null) {
    //if they post  a reply send a message
    $query_email = "SELECT email, display_name from lep_users where user_id=(SELECT user_id from lep_mod_comments where id='$parent')";
    $get_email_results = $database->query($query_email);
    $get_email_result = $get_email_results->fetchRow();
    if ($database->is_error()) {
        // Error updating database
        $message = $database->get_error();
    } else{

        // Setup email to send
        $mail_to = $get_email_result['email'];
        $mail_subject = 'Someone has replied to your comment.';

        $mail_message = 'Hello ' . $get_email_result['display_name'] . ', 
Someone has replied to a comment you have made at <a href="' . WB_URL . '">' . WB_URL . '</a>.';

	require_once LEPTON_PATH."/modules/lib_phpmailer/phpmailer/src/PHPMailer.php";
  // Set up the email
		$MassMail = new PHPMailer\PHPMailer\PHPMailer();

		// set user defined from address
	
		$MassMail->FromName = SERVER_EMAIL; 		// FROM-NAME
		$MassMail->From = $_SESSION['EMAIL'];                           	 	// FROM:
		$MassMail->AddAddress($mail_to,$_SESSION['DISPLAY_NAME']); // REPLY TO:
		$MassMail->Subject = $mail_subject;                                // SUBJECT:
		$MassMail->Body = $mail_message;                                   // CONTENT (HTML)
		$MassMail->AltBody = strip_tags($mail_message);                    // CONTENT (TEXT)
		$MassMail->IsHTML(true);       
    // Try sending the email    
                if(!$MassMail->send()) {
          echo 'Message was not sent.';
          echo 'Mailer error: ' . $MassMail->ErrorInfo;
          exit;
        }
    }
}
$return_json = '{ "jsonrpc" : "2.0", 
   "id": '.json_encode($fetch_insert_id['LAST_INSERT_ID()']).',
   "parent": '.$parent.',
   "created": '.json_encode($created).',
   "modified": '.json_encode($modified).',
   "content": '.json_encode($content).',
   "fullname": '.json_encode($fullname).',
   "profile_picture_url": '.json_encode($profile_picture_url).',
   "created_by_admin": '.json_encode($created_by_admin).',
   "created_by_current_user": '.json_encode($created_by_current_user).',
   "moderation_pending": '.json_encode($moderation_pending).',
   "upvote_count": '.json_encode($upvote_count).',
   "user_has_upvoted": false}';

die($return_json);

?>
