<?php

/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 * @module          comments
 * @author          Karl Pierce
 * @copyright       2004-2015, Karl Pierce
 * @link            http://www.LEPTON-cms.org
 * @license         http://www.gnu.org/licenses/gpl.html
 * @license_terms   please see info.php of this module
 *
 */
require('../../config.php');
require_once(WB_PATH . '/framework/class.wb.php');
require_once(WB_PATH . '/framework/class.admin.php');



// HTTP headers for no cache etc
header('Content-Type: application/json; charset=utf-8');
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");


//if not a user
if(isset($_SESSION['USER_ID']) && ($_SESSION['USER_ID'] !='' or $_SESSION['USER_ID']==null)){
    $user_id = $_SESSION['USER_ID'];
}else//if not a user
{
    die('{"jsonrpc" : "2.0","error":"login"}');
}

//locking the door
if (!isset($_REQUEST['ident']) || !isset($_SESSION['comments_ident']) || $_REQUEST['ident'] != $_SESSION['comments_ident']) {
    // form faked
    die(header("Location: ../../index.php"));
}

$wb = new wb(true);

// Get entered values
$page_id = filter_input(INPUT_GET, 'page_id', FILTER_SANITIZE_STRING);
$content = filter_input(INPUT_POST, 'content', FILTER_SANITIZE_STRING);
$created = date('Y-m-d',strtotime(filter_input(INPUT_POST, 'created', FILTER_SANITIZE_STRING)));
$modified = date('Y-m-d',strtotime(filter_input(INPUT_POST, 'modified', FILTER_SANITIZE_STRING)));
$created_by_current_user = filter_input(INPUT_POST, 'created_by_current_user', FILTER_SANITIZE_STRING);
$fullname = filter_input(INPUT_POST, 'fullname', FILTER_SANITIZE_STRING);
$id = filter_input(INPUT_POST, 'id', FILTER_SANITIZE_STRING);
$profile_picture_url=filter_input(INPUT_POST, 'profile_picture_url', FILTER_SANITIZE_STRING);
$created_by_admin=filter_input(INPUT_POST, 'created_by_admin', FILTER_SANITIZE_STRING);
$moderation_pending=filter_input(INPUT_POST, 'moderation_pending', FILTER_SANITIZE_STRING);

$parent = filter_input(INPUT_POST, 'parent', FILTER_SANITIZE_STRING);
if($parent != ''){
    $parent_field = '`parent`,';
    $parent_value="'$parent',";
    
}else{
    $parent= 'null';
    
}


$update_query="
UPDATE `" . TABLE_PREFIX . "mod_comments`
SET
upvote_count = CONCAT(upvote_count,'$user_id,')
WHERE `id` = $id and `page_id` = $page_id;";
//echo $update_query;
//exit;
$database->query($update_query);
//echo $update_query;
//exit;

//if ($database->is_error()) {
//    $wb->print_error($database->get_error(), 'index.php', false);
//} else {
//    $wb->print_success($MESSAGE['PREFERENCES']['DETAILS_SAVED'], WB_URL . '/page/'.LANGUAGE.'/rate-my-page.php');
//}


//get upvote count
$get_count_query="SELECT upvote_count FROM `" . TABLE_PREFIX . "mod_comments` WHERE `id` = $id and `page_id` = $page_id;";
$get_count_results = $database->query($get_count_query);
$get_count_result = $get_count_results->fetchRow();

$upvote_string=$get_count_result['upvote_count'];
$upvote_count= substr_count($upvote_string,',');

$return_json = '{ "jsonrpc" : "2.0", 
   "id": '.json_encode($id).',
   "parent": '.$parent.',
   "created": '.json_encode($created).',
   "modified": '.json_encode($modified).',
   "content": '.json_encode($content).',
   "fullname": '.json_encode($fullname).',
   "profile_picture_url": '.json_encode($profile_picture_url).',
   "created_by_admin": '.json_encode($created_by_admin).',
   "created_by_current_user": '.json_encode($created_by_current_user).',
   "moderation_pending": '.json_encode($moderation_pending).',
   "upvote_count": '.json_encode($upvote_count).',
   "user_has_upvoted": true}';

die($return_json);
