<?php
/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released under the GNU GPL.
 * Additional license terms can be seen in the info.php of this module.
 *
 * @module          comments
 * @author          Karl Pierce
 * @copyright       2004-2015, Karl Pierce
 * @link            http://www.LEPTON-cms.org
 * @license         http://www.gnu.org/licenses/gpl.html
 * @license_terms   please see info.php of this module
 *
 *  http://viima.github.io/jquery-comments/#link-1
 */

if (!defined('WB_URL')) {
    header('Location: ../index.php');
    exit(0);
}

require_once(WB_PATH . '/framework/class.admin.php');

$page_id = PAGE_ID;

//set key for ajax calls
$ident = mt_rand();
$_SESSION['comments_ident'] = $ident;
if(isset($_SESSION['USER_ID'])){
    $userid =$_SESSION['USER_ID'];
}else{
    $userid=NULL;
}
?>

<h3><a href="#"> <i class="fa fa-comments"></i> Comments</a></h3>
<div>
    <div id="comments-container"></div> 
</div>

<script>
    $(document).ready(function () {
        $('#comments-container').comments({
            profilePictureURL: '<?php echo WB_URL . '/modules/comments/images/no_pic.png' ?>',
            roundProfilePictures: true,
            enableDeletingCommentWithReplies: false,
            getComments: function (success, error) {
                $.ajax({
                    type: 'post',
                    url: '<?php echo WB_URL ?>/modules/comments/ajax_get_comment.php',
                    data: {page_id:<?php echo $page_id; ?>,
                        ident:<?php echo $ident; ?>},
                    success: function (commentsArray) {
                        success(commentsArray);
                    },
                    error: error
                });
            },
            postComment: function (commentJSON, success, error) {
                $.ajax({
                    type: 'post',
                    url: '<?php echo WB_URL ?>/modules/comments/ajax_post_comment.php?page_id=<?php echo $page_id; ?>&user_id=<?php echo $userid; ?>&ident=<?php echo $ident; ?>',
                    data: commentJSON,
                    success: function (comment) {
                        var error = comment['error'];
                        if (error === 'login') {
                            location.replace("<?php echo WB_URL . '/modules/comments/login.php'; ?>");
                        } else {
                            success(comment);
                        }
                    },
                    error: error
                });
            },
            putComment: function (commentJSON, success, error) {
                $.ajax({
                    type: 'post',
                    url: '<?php echo WB_URL ?>/modules/comments/ajax_put_comment.php?page_id=<?php echo $page_id; ?>&ident=<?php echo $ident; ?>',
                    data: commentJSON,
                    success: function (comment) {
                        success(comment);
                    },
                    error: error
                });
            },
            deleteComment: function (commentJSON, success, error) {
                $.ajax({
                    type: 'post',
                    url:'<?php echo WB_URL ?>/modules/comments/ajax_delete_comment.php?page_id=<?php echo $page_id; ?>',
                    data: {id: commentJSON.id,
                        ident:<?php echo $ident; ?>},
                    success: success,
                    error: error
                });
            },
//            refresh: function () {
//                $('#comments-container').profanityFilter({
//                    externalSwears: '<?php echo WB_URL ?>/modules/comments/include/swearWords.json'
//                });
//            },
            upvoteComment: function (commentJSON, success, error) {

                if (commentJSON.user_has_upvoted) {
                    $.ajax({
                        type: 'post',
                        url: '<?php echo WB_URL ?>/modules/comments/ajax_post_upvote.php?page_id=<?php echo $page_id; ?>&ident=<?php echo $ident; ?>',
                        data: {
                            id: commentJSON.id
                        },
                        success: function () {
                            success(commentJSON);
                        },
                        error: error
                    });
                } else {
                    $.ajax({
                        type: 'post',
                        url: '<?php echo WB_URL ?>/modules/comments/ajax_delete_upvote.php',
                        data: {
                            id: commentJSON.id,
                            page_id:<?php echo $page_id; ?>,
                            ident:<?php echo $ident; ?>
                        },
                        success: function () {
                            success(commentJSON);
                        },
                        error: error
                    });
                }
            }
        });

    });
</script>
<?php // To use this module you must keep the following script inplace. ?>
<script>
$("body").append('<p style="text-align: center;font-size: xx-small;clear: both;"><a href="https://www.diamond-visions-sarl.com" target="_blank">Powered by Diamond Visions</a></p>');
</script>
